This is a migrated thread and some comments may be shown as answers.

Kendo UI + jQuery 2.1 ... roadmap?

5 Answers 55 Views
General Discussions
This is a migrated thread and some comments may be shown as answers.
Rick
Top achievements
Rank 1
Rick asked on 28 Jul 2014, 02:51 PM
There is no mention of jQuery 2.1 support in JavaScript Dependencies in your documentation... any ETA on when that might happen?

5 Answers, 1 is accepted

Sort by
0
Accepted
Kiril Nikolov
Telerik team
answered on 30 Jul 2014, 11:41 AM
Hello Rick,

Currently this is not part of our immediate plans, the reason is that jQuery dropped support for old IE browsers and works only on IE9+, while we still need to support IE7 and IE8.

Regards,
Kiril Nikolov
Telerik
 
Join us on our journey to create the world's most complete HTML 5 UI Framework - download Kendo UI now!
 
0
Chris
Top achievements
Rank 1
answered on 04 Feb 2016, 01:50 AM
I notice that it still ships with jquery 1.9,  at what point will you use the latest jquery version?
0
Sebastian
Telerik team
answered on 04 Feb 2016, 09:45 AM
Hi Chris,

Although we ship Kendo UI with jQuery 1.9.1 (due to IE compatibility support), it also works with jQuery 1.10.x and 2.1.x as stated in this section of the docs. Hope this makes sense.

Regards,
Sebastian
Telerik
 
Join us on our journey to create the world's most complete HTML 5 UI Framework - download Kendo UI now!
 
0
Troy
Top achievements
Rank 1
answered on 27 Apr 2016, 08:05 PM

How about jQuery 1.11.x and 1.12.x?  Are they actually problematic with Kendo, or has the boilerplate just not been updated?  I did find a mention of an issue with 1.12.0 and IE popup positioning, but it would seem this would have been fixed in subsequent 1.12.x releases (currently at 1.12.3).  If so, updating that doc would be nice.

I know the jQuery 2.x series dropped IE 7/8 support, but doesn't 1.10+ nominally still support them?  Are there real-world breakages in the 1.10+ line that forced keep jQuery 1.9.1 as the included version?

0
Kiril Nikolov
Telerik team
answered on 28 Apr 2016, 06:21 AM
Hi,

The problems with the Kendo UI Popup were resolved with jQuery 1.12.1, and for the official release next week we will be shipping 1.12.3. So it should be perfectly fine to use it with the latest version.

As for jQuery 2.x - it dropped supported for IE8, but if you do not need to support it, then you should be able to use it with Kendo UI as well.


Regards,
Kiril Nikolov
Telerik
 
Join us on our journey to create the world's most complete HTML 5 UI Framework - download Kendo UI now!
 
Tags
General Discussions
Asked by
Rick
Top achievements
Rank 1
Answers by
Kiril Nikolov
Telerik team
Chris
Top achievements
Rank 1
Sebastian
Telerik team
Troy
Top achievements
Rank 1
Share this question
or